Subject: [Srcomp] Lossless Compression discussion update

From: "Darren Dukes (ddukes)" <[email-masked]>
Date: Wed, 19 May 2021 17:31:59 +0000

Ron and I met today. We agreed to the following from my notes:

Ron will update the CRH draft to describe how the CRH data plane supports the RFC8402 adjacency SID functionality and document when it is needed (essentially pull the B1 CRH SID definition and discussion around when it is used into CRH).  When CRH is updated, the analysis draft can mark it as supporting lossless compression.

We agreed there is no need for an update to the CSID draft, the CSID proposal supports lossless compression as currently defined.

We did not get time to discuss SRv6 Base section so will do so via email for Friday.

Thanks
  Darren

---

From: Ron Bonica <[email-masked]>
Date: Wed, 19 May 2021 17:53:59 +0000

We also agreed to remove appendix B from the analysis document, completely.

                                                                 Ron

Juniper Business Use Only
From: Srcomp <[email-masked]> On Behalf Of Darren Dukes (ddukes)
Sent: Wednesday, May 19, 2021 1:32 PM
To: [email-masked]
Subject: [Srcomp] Lossless Compression discussion update

[External Email. Be cautious of content]

Thanks
  Darren

---

From: <[email-masked]>
Date: Thu, 20 May 2021 14:43:35 +0800 (CST)

Hi team,

The followig is the UIDSR's reply for action of  "3.2.1.  SRv6 Functionality".

   +---------+-------------+------------------+----------------+---------------+

   |         | CSID        | CRH              | VSID           |     UIDSR     |

   +---------+-------------+------------------+----------------+---------------+

   | F.SID   | RFC8402     | CRH              | RFC8402        | RFC8402 [1]   |

   | F.Scope | RFC8402     | CRH              | RFC8402        | RFC8402 [1]   |

   | F.PFX   | RFC8402,    | CRH              | RFC8402,       | RFC8402,      |

   |         | RFC8986,    |                  | RFC8986, VSID  | RFC8986, with |

   |         | CSID adds   |                  | updates the    | new flavor    |

   |         | an END SID  |                  | End behavior   |               |

   |         | flavor      |                  |                |               |

   | F.ADJ   | RFC8402,    | CRH              | RFC8402,       | RFC8402,      |

   |         | RFC8986,    | (specification   | RFC8986, VSID  | RFC8986, with |

   |         | CSID adds   | required?)       | updates the    | new flavor [1]|

   |         | an END.X    |                  | End.X behavior |               |

   |         | flavor      |                  |                |               |      

   | F.BIND  | RFC8402,    | (IDCRH?          | RFC8402,       | RFC8402,      |

   |         | RFC8986     | specification    | RFC8986, VSID  | RFC8986, with |

   |         |             | required)        | updates the    | new flavor [1]|

   |         |             |                  | End.B*         |               |

   |         |             |                  | behaviors      |               |

   | F.PEER  | RFC8402,    | (specification   | RFC8402,       | RFC8402,      |

   |         | RFC8986,    | required)        | RFC8986, VSID  | RFC8986, with |

   |         | CSID adds   |                  | updates the    | new flavor    |

   |         | an END.X.   |                  | End.X          | [1][2]        |

   |         | flavor      |                  | behaviors      |               |

   | F.SVC   | RFC8986     | CRH              | RFC8986, VSID  | RFC8986 [1]   |

   |         |             |                  | updates the    |               |

   |         |             |                  | service        |               |

   |         |             |                  | segment        |               |

   |         |             |                  | behaviors      |               |

   | F.ALG   | SRV6FLEXALG | (IP flex algo    | SRV6FLEXALG    | SRV6FLEXALG   |

   |         |             | draft)           |                |               |

   | F.TILFA | SRV6TILFA   | ??               | SRV6TILFA      | SRV6TILFA [3] |

   | F.SEC   | RFC8754     | CRH              | RFC8754        | RFC8754       |

   | F.IGP   | SRV6EXT     | (ISIS CRH)       | SRV6EXT adds a | SRV6EXT       |

   |         |             |                  | sub-sub TLV    | [1][4]        |

   | F.BGP   | SRV6BGPSVC  | (BGP CRH)   | SRV6BGPSVC  | SRV6BGPSVC [1]        |

   | F.POL   | SRV6SRPOL   | compliant        | SRV6SRPOL      | SRV6SRPOL     |

   |         |             | (specification?) |                |               |

   | F.BLS   | SRV6BGPLS   | specification    | SRV6BGPLS and  | SRV6BGPLS [5] |

   |         |             | required         | addition for   |               |

   |         |             |                  | VSID Length    |               |

   | F.SFC   | SRV6SVCP    | compliant        | SRV6SVC        | SRV6SVCP [1]  |

   |         |             | (spec?)          |                |               |

   | F.PING  | SRV6OAM     | compliant        | SRV6OAM        | SRV6OAM       |

   |         |             | (spec?)          |                |               |

   +---------+-------------+------------------+----------------+---------------+

Regards,

PSF

原始邮件

发件人：DarrenDukes(ddukes)
收件人：[email-masked];
日 期 ：2021年05月20日 01:32
主 题 ：[Srcomp] Lossless Compression discussion update

--  
Srcomp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/srcomp

 

 

 

 

Thanks

  Darren

---

From: "Darren Dukes (ddukes)" <[email-masked]>
Date: Fri, 21 May 2021 13:12:51 +0000

Resending for archiving.

Darren

On 2021-05-20, 2:44 AM, "Srcomp" <[email-masked]> wrote:

Hi team,

   |         | flavor      |                  |                |               |

   |         | flavor      |                  |                |               |

   |         |             |                  | End.B*         |               |

   |         |             |                  | behaviors      |               |

   |         |             |                  | updates the    |               |

   |         |             |                  | service        |               |

   |         |             |                  | segment        |               |

   |         |             |                  | behaviors      |               |

   |         |             | draft)           |                |               |

   |         |             |                  | VSID Length    |               |

   |         |             | (spec?)          |                |               |

   |         |             | (spec?)          |                |               |

Regards,

PSF

原始邮件
发件人：DarrenDukes(ddukes)
收件人：[email-masked];
日 期 ：2021年05月20日 01:32

Thanks
  Darren

---

From: <[email-masked]>
Date: Sat, 22 May 2021 10:41:05 +0800 (CST)

Hi Darren,

Sorry that my colleagues in IT department have not provided me with an upgraded email client to solve this problem.

For "global SID + local index", the related draft is draft-cp-spring-srv6-sid-allocation.

Regards,

PSF

原始邮件

发件人：DarrenDukes(ddukes)
收件人：[email-masked];
日 期 ：2021年05月21日 21:13
主 题 ：Re: [Srcomp] Lossless Compression discussion update

Resending for archiving.

Darren

 

Hi team,

   |         | flavor      |                  |                |               |

   |         | flavor      |                  |                |               |      

   |         |             |                  | End.B*         |               |

   |         |             |                  | behaviors      |               |

   |         |             |                  | updates the    |               |

   |         |             |                  | service        |               |

   |         |             |                  | segment        |               |

   |         |             |                  | behaviors      |               |

   |         |             | draft)           |                |               |

   |         |             |                  | VSID Length    |               |

   |         |             | (spec?)          |                |               |

   |         |             | (spec?)          |                |               |

 

Regards,

PSF

 

原始邮件

发件人：DarrenDukes(ddukes)

收件人：[email-masked];

日 期 ：2021年05月20日 01:32

 

 

 

 

Thanks

  Darren